Subject: Contents of wu-ftpd FAQ

From: Koos van den Hout _U nix and we all_ <[email-masked]>
Date: Sat, 1 Aug 1998 15:03:01 +0200 (MET DST)

* Contents of the FAQ file for wu-ftpd. The complete file can be found at
http://www.cetis.hvu.nl/~koos/wu-ftpd-faq.html
Or, send mail to [email-masked] with as subject "send faq"
(without the quotes, body ignored).

THE_URL:file://localhost/home/staff/koos/wu-ftpd-faq/wu-ftpd-faq.contents.html
    1. Contents of this FAQ
         1. Contents of this FAQ
         2. What is this document
         3. What is wu-ftpd itself and this mailing list in particular ?
              1. How do I subscribe/unsubscribe ?
              2. Is this list archived anywhere ?
              3. What are related documents ?
         4. Where do I get the wu-ftpd ?
              1. Where do I get the updated version ?
         5. Compiling the wu-ftpd
              1. cc complains about strunames, typenames, modenames, ..
                 being undeclared.
              2. wu-ftpd doesn't 'see' that users are in multiple groups.
              3. wu-ftpd doesn't use the shadow passwords on my Linux
                 machine.
              4. It doesn't compile at all on newer Linux installs. The
                 error is :
              5. I need to use S/KEY authorisation
              6. I need to authenticate real users via AFS
              7. The timezone in the xferlog is wrong
              8. The timezone in the ls output is wrong
              9. Digital Unix doesn't log commands after an anonymous
                 user logs in
             10. install fails with 'install: ..'
             11. Digital Unix (The Unix Formerly Known As OSF/1) and
                 Enhanced C2 security,
             12. It doesn't compile at all on Digital Unix, errors about
                 struct timeval
             13. What should I do to be able to use wu-ftpd in a HP-UX
                 10.01
             14. What should I do for 10.10.
         6. Installing the wu-ftpd
              1. Command-line options for wu-ftpd
              2. Testing on a different port number then ftp
              3. Not all command line parameters seem to be used by
                 wu-ftpd
         7. Are there year 2000 issues with wu-ftpd?
         8. The ftpaccess file
              1. Some files (banners, etc) don't get shown to anonymous
                 users.
              2. What is the exact format of the <times> parameter in the
                 "limit"
              3. What tools are there to check the configuration
         9. Programs (ls, gzip, tar) work for real users, not for
            anonymous users, giving errors like 425 Can't create data
            socket (0.0.0.0,20): Bad file number or simply no output.
              1. Solaris
              2. Building a statically linked ls for Solaris fails
              3. Linux
              4. Dec OSF
              5. SunOS4.1.x
              6. AIX
              7. IRIX (6.2)
              8. SCO Unix
              9. BSD vs SVR4 ls
             10. It worked, until I upgraded the operating system.
        10. Running wu-ftpd
              1. ftpd allways says "221 Server shutting down. Goodbye."
              2. Anonymous ftp works fine, but real users are denied
                 access
              3. ftpconversions doesn't work
              4. On-the-fly compression works, on-the-fly tarring, but
                 not both.
              5. I want to use zip compression (InfoZip)
              6. I want a real user to be able to access the host only
                 via ftp, not via telnet
              7. Somebody uploaded a file with a weird name
              8. I want anonymous users to be able to upload files, but
                 in the most secure manner possible
              9. The default umask used when a real user uploads a file
                 is wrong
             10. I heard something about 'SITE EXEC' having a security
                 hole
             11. How do I make reports more readable ?
             12. Incoming file transfers fail with SunOS and an NFS
                 mounted incoming
             13. Normal ftp clients work, Netscape ftp's fail. So,
                 passive mode doesn't work.
             14. I made a symbolic link within the anonymous tree and it
                 doesn't work for the anonymous users.
             15. I want to redirect anonymous users to another machine
             16. Running wu-ftpd on a *large* site
        11. Other things
              1. Where is the FTP protocol documented ?
              2. How can I make my ftp-archive accessible by E-mail
                 (ftpmail) ?
        12. Credits

---------------------------------------------------------------------------